import request from '@/utils/request'

// 人员通行情况
export function getPersonnelAccess(data) {
  return request({
    url: '/admin/dataShow/stat/pass',
    method: 'post',
    data
  })
}

// 人员年龄分布情况
export function getAgeDistribution(data) {
  return request({
    url: '/admin/dataShow/stat/age',
    method: 'post',
    data
  })
}

// 人员年龄分布情况
export function getSexDistribution(data) {
  return request({
    url: '/admin/dataShow/stat/sex',
    method: 'post',
    data
  })
}

// 各时段在场人数情况
export function getPeoplePresentStatistics(data) {
  return request({
    url: '/admin/dataShow/stat/people',
    method: 'post',
    data
  })
}

// 人员来源地分布情况
export function getPersonnelOriginPlaceStatistics(data) {
  return request({
    url: '/admin/dataShow/stat/source',
    method: 'post',
    data
  })
}

// 人员进出统计数据分页
export function getEntryAndExitStatisticsPageList(data) {
  return request({
    url: '/admin/dataShow/stat/pageList',
    method: 'post',
    data
  })
}

// 预警记录excel-导出
export function getEntryAndExitStatisticsLogExcel(data) {
  return request({
    url: '/admin/dataShow/stat/excelOut',
    method: 'post',
    responseType: 'blob',
    data: data
  })
}
